summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2008-02-02 13:39:50 -0600
committerDan McGee <dan@archlinux.org>2008-02-02 13:39:50 -0600
commitc492ca840c54d8d45d5916a280f2119c363e0aba (patch)
treea0ba13d659fbdf7b316ea75492dcd54b621447b9 /scripts
parent5647f7f512380200175675bc2fa5fa2e5892d997 (diff)
parent7cfb343b0fed556e82b6fbc81047c5461effab84 (diff)
Merge branch 'maint'
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in2
-rw-r--r--scripts/updatesync.sh.in14
2 files changed, 10 insertions, 6 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index f5d5e052..0997386e 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -754,7 +754,7 @@ tidy_install() {
if [ "$(check_option strip)" = "y" ]; then
msg2 "$(gettext "Stripping debugging symbols from binaries and libraries...")"
- for file in $(find {,usr/{,local/},opt/}{bin,lib,sbin} -type f 2>/dev/null || true); do
+ for file in $(find {,usr/{,local/},opt/*/}{bin,lib,sbin} -type f 2>/dev/null || true); do
case "$(file -biz "$file")" in
*application/x-sharedlib*) # Libraries
/usr/bin/strip --strip-debug "$file";;
diff --git a/scripts/updatesync.sh.in b/scripts/updatesync.sh.in
index 900f11f3..c777d1f1 100644
--- a/scripts/updatesync.sh.in
+++ b/scripts/updatesync.sh.in
@@ -116,11 +116,11 @@ if [ "$4" != "" ]; then
fi
opt_force=""
-if [ ! -f "$option" ]; then
- die "$(gettext "%s not found")" $option
-fi
-
if [ "$action" = "upd" ]; then # INSERT / UPDATE
+ if [ ! -f "$option" ]; then
+ die "$(gettext "%s not found")" $option
+ fi
+
unset pkgname pkgver pkgrel options
source $option || die "$(gettext "failed to parse %s")" $option
@@ -141,10 +141,14 @@ if [ "$action" = "upd" ]; then # INSERT / UPDATE
else # DELETE
fname="$(basename $option)"
if [ "$fname" = "PKGBUILD" ]; then
+ if [ ! -f "$option" ]; then
+ die "$(gettext "%s not found")" $option
+ fi
+
unset pkgname pkgver pkgrel options
source $option
else
- pkgname=$1
+ pkgname=$option
fi
repo-remove "$pkgdb" "$pkgname"